Get Current Profile
curl --request GET \
--url https://api.example.com/api/profiles/me \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/api/profiles/me"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/api/profiles/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"full_name": "<string>",
"company_name": "<string>",
"role": "<string>",
"registration_status": "<string>",
"client_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"approved_at": "<string>"
}Profiles
Get Current Profile
Get the authenticated user’s profile
GET
/
api
/
profiles
/
me
Get Current Profile
Authentication
string
required
Bearer token:
Bearer <firebase_id_token>Example Request
curl https://api.sari-platform.com/api/profiles/me \
-H "Authorization: Bearer <firebase_id_token>"
Response
string
Unique profile identifier (UUID)
string
User’s email address
string
User’s full name
string
Organization name
string
User role:
admin or clientstring
Status:
pending, approved, or rejectedstring
API client identifier (only for approved clients)
string
Account creation timestamp
string
Last update timestamp
string
Approval timestamp (if approved)
Example Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"full_name": "John Doe",
"company_name": "Acme Corp",
"role": "client",
"registration_status": "approved",
"client_id": "client_abc123",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"approved_at": "2024-01-16T09:00:00Z"
}
Errors
| Status | Description |
|---|---|
| 401 | Invalid or expired token |
| 404 | Profile not found |
⌘I

